
using System;
using System.Collections.Generic;
using Newtonsoft.Json;

namespace isn
{

    partial class Program
    {
         private static void SourceAdd(IEnumerable<string> str)
        {
            foreach (string arg in str)
            {
                if (Settings.Sources.ContainsKey(arg))
                {
                    SourceSettings setting = Settings.Sources[arg];
                    throw new InvalidOperationException
                    (setting.Alias);
                }
                throw new NotImplementedException();
            }
        }
    }
}